<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition template="/WEB-INF/base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<f:metadata>
		<f:viewParam name="id"
			value="#{activityDetailsController.activityCode}" />
	</f:metadata>

	<ui:define name="content">
		<h:outputLabel value="#{strings.projects_progress}: " />
		<h:outputLabel value="#{authController.currentUser.projectsProgress}">
			<f:convertNumber type="percent" />
		</h:outputLabel>
		<br />

		<br />
		<h:form>
			<h:link value="#{strings.back}"
				outcome="system_details?faces-redirect=true">
				<f:param name="id"
					value="#{activityDetailsController.activity.system.acronym}" />
			</h:link>
			<br />

			<br />
			<h3>
				<h:outputLabel value="#{strings.activity_details}:" />
			</h3>
			<br />

			<h:outputLabel value="#{strings.project_number}: " />
			<h:outputLabel
				value="#{activityDetailsController.activity.system.project.number}" />
			<br />

			<h:outputLabel value="#{strings.system_acronym}: " />
			<h:outputLabel
				value="#{activityDetailsController.activity.system.acronym}" />
			<br />

			<h:outputLabel value="#{strings.activity_code}: " />
			<h:outputLabel value="#{activityDetailsController.activity.code}" />
			<br />

			<h:outputLabel value="#{strings.status}: " />
			<h:outputLabel
				value="#{strings[activityDetailsController.activity.status]}" />
			<br />

			<h:outputLabel value="#{strings.analyst}: " for="analyst_field" />
			<h:selectOneMenu value="#{activityDetailsController.analyst}"
				id="analyst_field" converter="analystConverter">
				<f:selectItems value="#{activityDetailsController.allAnalysts}"
					var="analyst" itemValue="#{analyst}"
					itemLabel="#{analyst.code} - #{analyst.name}" />
				<f:selectItem itemLabel="#{strings.empty_selection}"
					noSelectionOption="true" itemDisabled="true" />
				<f:ajax event="change"
					listener="#{activityDetailsController.didChangeValue}" />
			</h:selectOneMenu>
			<br />

			<h:outputLabel value="#{strings.estimated_duration}: "
				for="duration_field" />
			<h:inputText value="#{activityDetailsController.estimatedDuration}"
				id="duration_field">
				<f:ajax event="change"
					listener="#{activityDetailsController.didChangeValue}" />
			</h:inputText>
			<br />

			<h:outputLabel value="#{strings.description}: "
				for="description_field" />
			<br />
			<h:inputTextarea value="#{activityDetailsController.description}"
				id="description_field">
				<f:ajax event="change"
					listener="#{activityDetailsController.didChangeValue}" />
			</h:inputTextarea>
			<br />

			<h:panelGroup id="approval_buttons"
				rendered="#{activityDetailsController.activity.status.canApproveOrDisapprove}">
				<h:commandButton value="#{strings.approve}"
					action="#{activityDetailsController.approve}" />

				<h:commandButton value="#{strings.disapprove}"
					action="#{activityDetailsController.disapprove}" />
			</h:panelGroup>
		</h:form>
	</ui:define>
</ui:composition>